Bug 1120397 - [RFE]Disable file injection when using RBD as compute ephemeral storage
Summary: [RFE]Disable file injection when using RBD as compute ephemeral storage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-puppet-modules
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z4
: 5.0 (RHEL 7)
Assignee: Martin Magr
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1108193 1120398 1120400
TreeView+ depends on / blocked
 
Reported: 2014-07-16 20:10 UTC by Chris Dearborn
Modified: 2016-01-06 10:15 UTC (History)
6 users (show)

Fixed In Version: openstack-puppet-modules-2014.1.1-3
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-16 14:02:38 UTC


Attachments (Terms of Use)
Disable file injection when using RBD as compute ephemeral storage (1.12 KB, patch)
2014-08-11 05:31 UTC, Ivan Chavero
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0831 normal SHIPPED_LIVE Important: openstack-packstack and openstack-puppet-modules update 2015-04-16 17:53:33 UTC
OpenStack gerrit 113164 None None None Never

Description Chris Dearborn 2014-07-16 20:10:09 UTC
Description of problem:
When using Ceph/RBD as ephemeral storage for Nova compute, it is recommended by Inktank to disable file injection.  See: http://ceph.com/docs/next/rbd/rbd-openstack/

This bug is to add code to stackforge/puppet-nova nova::compute::rbd to disable file injection as noted in the above link.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Ivan Chavero 2014-07-22 19:19:47 UTC
modifying the nova puppet module, i will attach a patch while this is accepted upstream

Comment 3 Ivan Chavero 2014-08-11 05:29:51 UTC
patch submitted to upstream https://review.openstack.org/#/c/113164/

Comment 4 Ivan Chavero 2014-08-11 05:31:40 UTC
Created attachment 925613 [details]
Disable file injection when using RBD as compute ephemeral storage

Comment 14 errata-xmlrpc 2015-04-16 14:02:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0831.html


Note You need to log in before you can comment on or make changes to this bug.